object TPersHolder
  P = <
    item
      Name = 'Abs'
      Description = 'Absolute value of number'
      Code.Strings = (
        'Abs(|NumericExpression)')
    end
    item
      Name = 'Asc'
      Description = 'ASCII key value of Char$'
      Code.Strings = (
        'Asc(|Char$)')
    end
    item
      Name = 'Chr'
      Description = 'Character'
      Code.Strings = (
        'Chr$(|byte)')
    end
    item
      Name = 'Sub'
      Description = 'Sub - new procedure'
      Code.Strings = (
        'Sub |()'
        'End Sub')
    end
    item
      Name = 'Del'
      Description = 'Delete chars from string'
      Code.Strings = (
        'Delete$(|string_expression, start, length)')
    end
    item
      Name = 'Iif'
      Description = 'Iif - condition statements'
      Code.Strings = (
        'Iif(|expression, true_expr, false_expr)'
        '')
    end
    item
      Name = 'InStr'
      Description = 'InStr - text function'
      Code.Strings = (
        'InStr(|[start,] search_string, find_string)'
        '')
    end
    item
      Name = 'Left'
      Description = 'Left - text function'
      Code.Strings = (
        'Left$(|string_expression, n)')
    end
    item
      Name = 'Len'
      Description = 'Length of string - text function'
      Code.Strings = (
        'Len(|string_expression)')
    end
    item
      Name = 'Mid'
      Description = 'Middle - text function'
      Code.Strings = (
        'Mid$(|string_expression, i, n)')
    end
    item
      Name = 'Right'
      Description = 'Right - text function'
      Code.Strings = (
        'Right$(|string_expression, n)')
    end
    item
      Name = 'If'
      Description = 'If - condition statements'
      Code.Strings = (
        'If |condition1 Then'
        '   command1'
        'ElseIf condition2 Then'
        '   command2'
        'Else'
        '   command3'
        'End If')
    end
    item
      Name = 'Sel'
      Description = 'Select - condition statements'
      Code.Strings = (
        'Select Case |expression'
        '   Case condition1'
        '       command1'
        '   Case condition2'
        '       command2'
        '   Case Else'
        '       condition3'
        'End Select')
    end
    item
      Name = 'For'
      Description = 'For - looping'
      Code.Strings = (
        'For i = |x To y [Step z]'
        '  commands'
        'Next i')
    end
    item
      Name = 'Do'
      Description = 'Do - looping'
      Code.Strings = (
        'Do'
        '   |commands'
        'Loop Until condition')
    end
    item
      Name = 'Color'
      Description = 'Color - console keyword'
      Code.Strings = (
        'Color [|Fore%][, Back%]')
    end
    item
      Name = 'App'
      Description = 'Application (CGI or Console or GUI)'
      Code.Strings = (
        '$AppType CGI||Console|GUI')
    end
    item
      Name = 'Type'
      Description = 'TypeCheck (Off or On)'
      Code.Strings = (
        '$TypeCheck |Off|On')
    end
    item
      Name = 'Incl'
      Description = 'Include the file'
      Code.Strings = (
        '$Include "|rapidq.inc"')
    end
    item
      Name = 'Res'
      Description = 'Resource - file into application'
      Code.Strings = (
        '$Resource res_bmp1 As "|image.bmp"')
    end
    item
      Name = 'Create'
      Description = 'Create'
      Code.Strings = (
        'Create | As Type'
        'End Create')
    end
    item
      Name = 'With'
      Description = 'With'
      Code.Strings = (
        'With |'
        'End With')
    end
    item
      Name = 'Constr'
      Description = 'Constructor'
      Code.Strings = (
        'Constructor |'
        'End Constructor')
    end
    item
      Name = 'Func'
      Description = 'Function - new'
      Code.Strings = (
        'Function |()'
        'End Function')
    end
    item
      Name = 'Subi'
      Description = 'Sub(i)'
      Code.Strings = (
        'SubI | ()'
        'End SubI')
    end
    item
      Name = 'Funi'
      Description = 'Function(i)'
      Code.Strings = (
        'FunctionI | ()'
        'End FunctionI')
    end
    item
      Name = 'Play'
      Description = 'Plays a .wav file'
      Code.Strings = (
        'PlayWav |WavFileName, SndOptions')
    end
    item
      Name = 'Dim'
      Description = 'Dim - declaration statement '
      Code.Strings = (
        'Dim |Variable[(subscripts)] As Type'
        '')
    end
    item
      Name = 'DirEx'
      Description = 'Directory exists?'
      Code.Strings = (
        'DirExists(|Path$)')
    end
    item
      Name = 'FileEx'
      Description = 'File exists?'
      Code.Strings = (
        'FileExists(|FileName$)')
    end
    item
      Name = 'Ins'
      Description = 'Insert one string into another string'
      Code.Strings = (
        'Insert$(|insert_string$, source_string$, index_number) ')
    end
    item
      Name = 'Kill'
      Description = 'Kill - deletes file'
      Code.Strings = (
        'Kill |Filename$')
    end
    item
      Name = 'LCase'
      Description = 'LowerCase Letters'
      Code.Strings = (
        'LCase$(|StringExpression)')
    end
    item
      Name = 'LTrim'
      Description = 'LeftTrim - remove spaces'
      Code.Strings = (
        'LTrim$(|string_expression)')
    end
    item
      Name = 'Msg'
      Description = 'Message Dialog'
      Code.Strings = (
        'MessageDlg(|string_expression, msgType, msgButtons, helpContext)')
    end
    item
      Name = 'QSort'
      Description = 'Quick sorting arrays of any type'
      Code.Strings = (
        'QuickSort(|array_begin, array_end, ascend|descend)')
    end
    item
      Name = 'Random'
      Description = 'Random-number generator'
      Code.Strings = (
        'Randomize |[numeric_expression]')
    end
    item
      Name = 'Redim'
      Description = 'Redim an array '
      Code.Strings = (
        'ReDim |Variable[(Subscripts)] As Type')
    end
    item
      Name = 'Ren'
      Description = 'Rename a file'
      Code.Strings = (
        'Rename file1, file2')
    end
    item
      Name = 'Replace'
      Description = 'Replace a part of a string with another'
      Code.Strings = (
        'Replace$(|source_string, replace_string, index)')
    end
    item
      Name = 'Rev'
      Description = 'Reverse a string (mirroring)'
      Code.Strings = (
        'Reverse$(string_expression)')
    end
    item
      Name = 'RGB'
      Description = 'RGB numeric representation (0-255)'
      Code.Strings = (
        'RGB(|Red%, Green%, Blue%)')
    end
    item
      Name = 'Round'
      Description = 'Round numeric expression'
      Code.Strings = (
        'Round(|numeric_expression)')
    end
    item
      Name = 'Time'
      Description = 'Time - return string of the current time '
      Code.Strings = (
        'TIME$'
        '|')
    end
    item
      Name = 'Dir'
      Description = 'Returns the first/next file'
      Code.Strings = (
        'Dir$[(|FileSpec$, Attributes%)]')
    end
    item
      Name = 'RTrim'
      Description = 'Right Trim - remove spaces'
      Code.Strings = (
        'RTrim$(|string_expression)')
    end
    item
      Name = 'SendMsg'
      Description = 'Send Message (WinAPI calling)'
      Code.Strings = (
        'SendMessage |hWnd, uMsg, wParam, lParam')
    end
    item
      Name = 'Shell'
      Description = 'Shell executes command'
      Code.Strings = (
        'Shell(|command, showCMD)')
    end
    item
      Name = 'ShowMsg'
      Description = 'Show Message'
      Code.Strings = (
        'ShowMessage |msg$')
    end
    item
      Name = 'Date'
      Description = 'Date in MM-DD-YYYY format'
      Code.Strings = (
        'DATE$'
        '|')
    end
    item
      Name = 'PostMsg'
      Description = 'Post message to handle (API function)'
      Code.Strings = (
        'PostMessage(|Handle, uMsg, wParam, lParam)')
    end>
end
