object TPersHolder
  P = <
    item
      Name = 'abbr'
      Description = 'Abbreviature'
      Code.Strings = (
        '<abbr title="|"></abbr>')
    end
    item
      Name = 'acronym'
      Description = 'Acronym'
      Code.Strings = (
        '<acronym title="|"></acronym>')
    end
    item
      Name = 'address'
      Description = 'Address'
      Code.Strings = (
        '<address> | </address>')
    end
    item
      Name = 'a href'
      Description = 'Anchor - text'
      Code.Strings = (
        '<a href="|"></a>')
    end
    item
      Name = 'a img'
      Description = 'Anchor - image'
      Code.Strings = (
        '<a href="|"><img src="" alt="" /></a>')
    end
    item
      Name = 'applet'
      Description = 'Applet'
      Code.Strings = (
        '<applet code="|" alt="" title=""> </applet>')
    end
    item
      Name = 'base'
      Description = 'Base'
      Code.Strings = (
        '<base href="|" />')
    end
    item
      Name = 'bdo'
      Description = 'Text direction'
      Code.Strings = (
        '<bdo dir="|"></bdo>')
    end
    item
      Name = 'blank'
      Description = 'Blank page'
      Code.Strings = (
        '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN"'
        ' "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">'
        '<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">'
        ''
        '<head>'
        '<title>|</title>'
        
          '<meta http-equiv="Content-Type" content="text/html; charset=iso-' +
          '8859-1" />'
        ''
        
          '<link rel="stylesheet" href="" type="text/css" media="screen" ti' +
          'tle="" />'
        '<link rel="Shortcut Icon" href="" type="image/x-icon" />'
        ''
        '<meta name="Generator" content="CodePad" />'
        '<meta name="Author" content="" />'
        '<meta name="Keywords" content="" />'
        '<meta name="Description" content="" />'
        '</head>'
        ''
        '<body>'
        ''
        '</body>'
        '</html>')
    end
    item
      Name = 'blockquote'
      Description = 'Block quotation'
      Code.Strings = (
        '<blockquote cite="">'
        '|'
        '</blockquote>')
    end
    item
      Name = 'body'
      Description = 'Body'
      Code.Strings = (
        '<body>|</body>')
    end
    item
      Name = 'br'
      Description = 'Break line'
      Code.Strings = (
        '<br />')
    end
    item
      Name = 'button'
      Description = 'Button'
      Code.Strings = (
        '<button>|</button>')
    end
    item
      Name = 'cite'
      Description = 'Citation'
      Code.Strings = (
        '<cite>|</cite>')
    end
    item
      Name = 'code'
      Description = 'Code'
      Code.Strings = (
        '<code>|</code>')
    end
    item
      Name = 'comment'
      Description = 'Comment'
      Code.Strings = (
        '<!-- | -->')
    end
    item
      Name = 'dd'
      Description = 'List - Definition Description'
      Code.Strings = (
        '<dd>|</dd>')
    end
    item
      Name = 'del'
      Description = 'Deleted text'
      Code.Strings = (
        '<del>|</del>')
    end
    item
      Name = 'dfn'
      Description = 'Definition'
      Code.Strings = (
        '<dfn>|</dfn>')
    end
    item
      Name = 'div'
      Description = 'Division'
      Code.Strings = (
        '<div>'
        '|'
        '</div>')
    end
    item
      Name = 'dl'
      Description = 'Definition List'
      Code.Strings = (
        '<dl>'
        '    <dt>|</dt>'
        '    <dd><dd>'
        '</dl>')
    end
    item
      Name = 'dt'
      Description = 'List - Definition Term'
      Code.Strings = (
        '<dt>|</dt>')
    end
    item
      Name = 'dtd strict'
      Description = 'Doctype XHTML strict'
      Code.Strings = (
        '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"'
        '"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">')
    end
    item
      Name = 'dtd transitional'
      Description = 'Doctype XHTML transitional'
      Code.Strings = (
        '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"'
        '"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">')
    end
    item
      Name = 'dtd frames'
      Description = 'Doctype XHTML frameset'
      Code.Strings = (
        '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Frameset//EN"'
        '"http://www.w3.org/TR/xhtml1/DTD/xhtml1-frameset.dtd">')
    end
    item
      Name = 'dtd xhtml 1.1'
      Description = 'Doctype XHTML 1.1'
      Code.Strings = (
        '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN"'
        ' "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">'
        '<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">')
    end
    item
      Name = 'emphasis'
      Description = 'Emphasis'
      Code.Strings = (
        '<em>|</em>')
    end
    item
      Name = 'fieldset'
      Description = 'Fieldset'
      Code.Strings = (
        '<fieldset>'
        '<legend>|</legend>'
        '</fieldset>')
    end
    item
      Name = 'form'
      Description = 'Form'
      Code.Strings = (
        '<form action="|" method="post">'
        '   <input type="text" name="" value="" />'
        '   <input type="submit" value="submit" />'
        '</form>')
    end
    item
      Name = 'h1'
      Description = 'Heading 1'
      Code.Strings = (
        '<h1>|</h1>')
    end
    item
      Name = 'h2'
      Description = 'Heading 2'
      Code.Strings = (
        '<h2>|</h2>')
    end
    item
      Name = 'h3'
      Description = 'Heading 3'
      Code.Strings = (
        '<h3>|</h3>')
    end
    item
      Name = 'h4'
      Description = 'Heading 4'
      Code.Strings = (
        '<h4>|</h4>')
    end
    item
      Name = 'h5'
      Description = 'Heading 5'
      Code.Strings = (
        '<h5>|</h5>')
    end
    item
      Name = 'h6'
      Description = 'Heading 6'
      Code.Strings = (
        '<h6>|</h6>')
    end
    item
      Name = 'hr'
      Description = 'Horizontal Rule'
      Code.Strings = (
        '<hr />')
    end
    item
      Name = 'html'
      Description = 'HTML'
      Code.Strings = (
        
          '<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="e' +
          'n">')
    end
    item
      Name = 'iframe'
      Description = 'Iframe'
      Code.Strings = (
        
          '<iframe src="|" frameborder="0" width="" height="" scrolling="">' +
          '</iframe>')
    end
    item
      Name = 'img'
      Description = 'Image'
      Code.Strings = (
        '<img src="|" alt="" />')
    end
    item
      Name = 'input'
      Description = 'Input'
      Code.Strings = (
        '<input type="text" name="" value="" />')
    end
    item
      Name = 'ins'
      Description = 'Inserted text'
      Code.Strings = (
        '<ins>|</ins>')
    end
    item
      Name = 'kbd'
      Description = 'Keyboard text'
      Code.Strings = (
        '<kbd>|</kbd>')
    end
    item
      Name = 'li'
      Description = 'List - Item'
      Code.Strings = (
        '<li>|</li>')
    end
    item
      Name = 'link'
      Description = 'Link'
      Code.Strings = (
        '<link rel="|" type="" href="" />')
    end
    item
      Name = 'meta'
      Description = 'Meta tag'
      Code.Strings = (
        '<meta name="|" content="" />')
    end
    item
      Name = 'object'
      Description = 'Embedded object'
      Code.Strings = (
        '<object classid="" id="" width="" height="">'
        '  <param name="" value="" />'
        '</object>')
    end
    item
      Name = 'ol'
      Description = 'Ordered List'
      Code.Strings = (
        '<ol>'
        '    <li>|</li>'
        '    <li></li>'
        '</ol>')
    end
    item
      Name = 'optgroup'
      Description = 'Selection List - Option group'
      Code.Strings = (
        '<optgroup label="|">'
        '   <option value=""></option>'
        '</optgroup>')
    end
    item
      Name = 'option'
      Description = 'Selection List - Option inside'
      Code.Strings = (
        '<option value="|"></option>')
    end
    item
      Name = 'p'
      Description = 'Paragraph'
      Code.Strings = (
        '<p>|</p>')
    end
    item
      Name = 'pre'
      Description = 'Preformatted'
      Code.Strings = (
        '<pre>'
        '|'
        '</pre>')
    end
    item
      Name = 'q'
      Description = 'Short Quotation'
      Code.Strings = (
        '<q cite="">'
        '|'
        '</q>')
    end
    item
      Name = 'samp'
      Description = 'Sample Output'
      Code.Strings = (
        '<samp>|</samp>')
    end
    item
      Name = 'script'
      Description = 'Script'
      Code.Strings = (
        '<script type="text/javascript">'
        '<!--'
        '|'
        '//-->'
        '</script>')
    end
    item
      Name = 'select'
      Description = 'Selection list (drop-down list)'
      Code.Strings = (
        '<select>'
        '  <option value="|"></option>'
        '</select>')
    end
    item
      Name = 'span'
      Description = 'Section'
      Code.Strings = (
        '<span>|</span>')
    end
    item
      Name = 'strong'
      Description = 'Strong Emphasis'
      Code.Strings = (
        '<strong>|</strong>')
    end
    item
      Name = 'subscript'
      Description = 'Subscript'
      Code.Strings = (
        '<sub>|</sub>')
    end
    item
      Name = 'superscript'
      Description = 'Superscript'
      Code.Strings = (
        '<sup>|</sup>')
    end
    item
      Name = 'table'
      Description = 'Table'
      Code.Strings = (
        '<table border="1">'
        ''
        '<thead>'
        '   <tr>'
        '   <td>Head</td>'
        '   </tr>'
        '</thead>'
        ''
        '<tfoot>'
        '   <tr>'
        '   <td>Foot</td>'
        '   </tr>'
        '</tfoot>'
        ''
        '<tbody>'
        '   <tr>'
        '       <td>Cell A</td>'
        '       <td>Cell B</td>'
        '   </tr>'
        '</tbody>'
        ''
        '</table>')
    end
    item
      Name = 'textarea'
      Description = 'Textarea'
      Code.Strings = (
        '<textarea rows="|" cols=""> </textarea>')
    end
    item
      Name = 'title'
      Description = 'Page title'
      Code.Strings = (
        '<title>|</title>')
    end
    item
      Name = 'ul'
      Description = 'Unordered List'
      Code.Strings = (
        '<ul>'
        '    <li>|</li>'
        '    <li></li>'
        '</ul>')
    end>
end
